<?php

declare(strict_types=1);

namespace Drupal\Tests\date_point\FunctionalJavascript;

/**
 * @group date_point
 */
final class WidgetsTest extends TestBase {

  /**
   * {@selfdoc}
   */
  public function testTextfieldWidget(): void {
    $this->createField('milliseconds');
    $this->configureCustomFormatter();

    $this->configureWidget('date_point_textfield');
    $this->drupalGet('/node/add/page');
    $xpath = <<< 'XPATH'
      //label[text() = "Example"]
      /following-sibling::input
      [@type = "text" and @size = "20"]
      XPATH;
    $this->assertSession()->elementExists('xpath', $xpath);

    $this->createPage('2005-03-02 14:25:10.456');
    $this->assertDisplayedDatetime('2005-03-02 14:25:10.456000');
  }

  /**
   * {@selfdoc}
   */
  public function testDatetimeLocalWidget(): void {
    $this->createField('milliseconds');
    $this->configureCustomFormatter();

    $this->drupalGet('/node/add/page');
    $xpath = <<< 'XPATH'
      //label[text() = "Example"]
      /following-sibling::input
      [@type = "datetime-local" and @size = "20"]
      XPATH;
    $this->assertSession()->elementExists('xpath', $xpath);

    $this->createPage('2005-03-02 14:25:10.456');
    $this->assertDisplayedDatetime('2005-03-02 14:25:10.456000');
  }

}
